Subject: Re: [PWE3] 答复: 答复: flow label format in draft-ietf-fat-pw-02

From: Stewart Bryant <[email-masked]>
Date: Wed, 04 Nov 2009 08:25:49 +0000

Lucy

Thanks for the email.
>
> Hi Stewart,
>
> Thank you for the explanation. It is much clear. The reason to use
> ingress PE and egress PE for this section is that signaling procedures
> in RFC4447 describes with ingress PE and egress PE. In general, egress
> PE initiates label mapping message. In your draft, ingress PE sends
> label mapping message with FL Sub-TLV first. RFC4447 state 2 or 1 way
> signaling procedure, my impression that your draft states three-way
> procedures.
>
OK - I will fix the naming of the PEs.
>
> The draft states flow label very briefly. Since Flow Label never
> becomes the top label in label stack, value in the field besides the
> label field can be any. Is that right?
>
Any value except a reserved label (feedback from MPLS chairs and stated
in the draft). That is a bit annoying in that it makes it more difficult
to compute the random number, but all sorts of bad things can happen if
it gets interpreted as a reserved label.

- Stewart

---

From: Yong Lucy <[email-masked]>
Date: Thu, 05 Nov 2009 22:56:11 -0600

Steward,

See inline.

Regards,
Lucy
> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Wednesday, November 04, 2009 2:26 AM
> To: lucy yong
> Cc: [email-masked]
> Subject: Re: ??: ??: flow label format in draft-ietf-fat-pw-02
> 
> Lucy
> 
> Thanks for the email.
> >
> > Hi Stewart,
> >
[LY] Thanks.
> it gets interpreted as a reserved label.
[LY] IF flow label is used, flow label s bit has to be 1. PW label s bit
have to be 0. Flow label EXP and TTL can be any value. Is that right?

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 06 Nov 2009 11:19:52 +0000

> have to be 0. Flow label EXP and TTL can be any value. Is that right?

ECMP normally takes place on the label, rather than the whole LSE, so:
FL needs to be EoS, so S=1.
EXP can have any value (I am not sure whether I need to call that out in 
the draft).
TTL can have any value, but we recommend TTL=1 so that if there was an 
attempt to erroneously forward the packet based on the FL it would be 
immediately dropped. The draft discusses this in the security section.

Do you have any reason to set TTL or EXP to any other values?

- Stewart